unit Actor;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TActorDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    EditActor: TEdit;
    EditRole: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ActorDlg: TActorDlg;

implementation

{$R *.DFM}

uses Unit1;

procedure TActorDlg.OKBtnClick(Sender: TObject);
begin
  ActorName := EditActor.Text;
  RoleName := EditRole.Text;
  Close;
end;

procedure TActorDlg.CancelBtnClick(Sender: TObject);
begin
  Close
end;

procedure TActorDlg.FormShow(Sender: TObject);
begin
  EditActor.Text := ActorName;
  EditRole.Text := RoleName;
end;

end.

